Summary:	A generic USB CCID (Chip/Smart Card Interface Devices) driver
Summary(de):	Ein generischer USB CCID (Chip/Smart Card Interface Device) Treiber
Name:		ccid
Version:	1.4.24
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		http://pcsclite.alioth.debian.org/
Source0:	https://alioth.debian.org/download.php/1474/ccid-%{version}.tar.xz
Patch0:		ccid-libtool_fixes.patch
BuildRequires:	flex
BuildRequires:	%{_lib}pcsclite-devel >= 1.6.5
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	libtool
Requires(post): pcsc-lite
Requires(postun): pcsc-lite
Requires:	pcsc-lite
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package provides a generic USB CCID (Chip/Smart Card Interface Devices)
driver.

%description -l de
Dieses Paket bietet einen generischen USB CCID (Chip/Smart Card Interface 
Device) Treiber

%prep

%setup -q 
%patch0 -p0

%build
autoreconf -fis

%configure2_5x \
    --enable-twinserial \
    --enable-udev

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# serial driver is installed separately
%makeinstall_std -C src install_ccidtwin

# conf file should be placed inside reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

# udev
install -m 0644 -D src/92_pcscd_ccid.rules %{buildroot}/lib/udev/rules.d/92-pcscd-ccid.rules

rm -rf %{buildroot}%{_docdir}/*
rm -f readers/Makefile*
cp -f src/towitoko/README README.towitoko

#create empty folder
mkdir -p $RPM_BUILD_ROOT/var/run/pcscd


%post
/sbin/ldconfig
groupadd --system pcscd >/dev/null 2>&1
chgrp pcscd /var/run/pcscd
chmod g+w /var/run/pcscd

%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README COPYING
%doc readers contrib/Kobil_mIDentity_switch/README_Kobil_mIDentity_switch.txt
%doc README.towitoko
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%config /lib/udev/rules.d/92-pcscd-ccid.rules
%{_libdir}/pcsc/drivers/ifd-ccid.bundle
%{_libdir}/pcsc/drivers/serial
%dir /var/run/pcscd


%changelog
* Sun May 22 2016 ghostbunny <ghostbunny at gmx dot de> 1.4.24-1pclos2016
- 1.4.24

* Sat Apr 30 2016 ghostbunny <ghostbunny at gmx dot de> 1.4.23-1pclos2016
- 1.4.23

* Thu Jan 14 2016 ghostbunny <ghostbunny at gmx dot de> 1.4.22-1pclos2016
- 1.4.22

* Mon Oct 26 2015 ghostbunny <ghostbunny at gmx dot de> 1.4.21-1pclos2015
- 1.4.21

* Fri Aug 08 2015 ghostbunny <ghostbunny at gmx dot de> 1.4.20-1pclos2015
- 1.4.20

* Wed Jun 24 2015 ghostbunny <ghostbunny at gmx dot de> 1.4.19-1pclos2015
- 1.4.19

* Tue Sep 16 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.18-1pclos2014
- 1.4.18

* Mon Jun 16 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.17-1pclos2014
- 1.4.17

* Sun Mar 23 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.16-1pclos2014
- 1.4.16

* Mon Feb 17 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.15-1pclos2014
- 1.4.15

* Thu Nov 28 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.14-1pclos2013
- 1.4.14

* Sat Nov 07 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.13-1pclos2013
- 1.4.13
- add German summary and description

* Mon Jul 22 2013 Texstar <texstar at gmail.com> 1.4.11-2pclos2013
- fix post script for missing /var/run/pcscd folder

* Thu Jul 04 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.11-1pclos2013
- 1.4.11

* Sun May 12 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.10-1pclos2013
- 1.4.10
- rediff patch

* Sat Feb 12 2011 Texstar <texstar at gmail.com> 1.4.1-2pclos2011
- fix post script to get rid of udev warning

* Sun Jan 02 2011 pcserver <pcserver at hush.com> 1.4.1-1pclos2010
- import into pclos based on specfile from mdv

